---
title: Overview
type: Installation
---

Kyma is a complex tool which consists of many different [components](#details-components) that provide various functionalities to extend your application. This entails high technical requirements that can influence your local development process. To meet the customer needs, we ensured Kyma modularity. This way you can decide not to include a given component in the Kyma installation, or install it after the Kyma installation process.

To make the local development process easier, we introduced the **Kyma Lite** concept in which case some components are not included in the local installation process by default. These are the Kyma and Kyma Lite components in their installation order:

| Component | Kyma | Kyma Lite |
|----------------|------|------|
| `cluster-essentials` | ✅ | ✅ |
| `testing` | ✅ | ✅ |
| `istio` | ✅ | ✅ |
| `xip-patch` | ✅ | ✅ |
| `istio-kyma-patch` | ✅ | ✅ |
| `knative-eventing` | ✅ | ✅ |
| `knative-eventing-kafka` | ⛔️ | ⛔️ |
| `dex` | ✅ | ✅ |
| `ory` | ✅ | ✅ |
| `api-gateway` | ✅ | ✅ |
| `rafter` | ✅ | ✅ |
| `service-catalog` | ✅ | ✅ |
| `service-catalog-addons` | ✅ | ✅ |
| `helm-broker` | ✅ | ✅ |
| `nats-streaming` | ✅ | ✅ |
| `core` | ✅ | ✅ |
| `cluster-users` | ✅ | ✅ |
| `permission-controller` | ✅ | ✅ |
| `apiserver-proxy` | ✅ | ✅ |
| `iam-kubeconfig-service` | ✅ | ✅ |
| `serverless` | ✅ | ✅ |
| `knative-provisioner-natss` | ✅ | ✅ |
| `event-sources` | ✅ | ✅ |
| `application-connector-ingress` | ✅ | ✅ |
| `application-connector-helper` | ✅ | ✅ |
| `application-connector` | ✅ | ✅ |
| `logging` | ✅ | ⛔️ |
| `tracing` | ✅ | ⛔️ |
| `monitoring` | ✅ | ⛔️ |
| `kiali` | ✅ | ⛔️ |
| `compass-runtime-agent` | ⛔️ | ⛔️ |

## Installation guides

Follow these installation guides to install Kyma locally or on a cluster:

- [Install Kyma locally](#installation-install-kyma-locally)
- [Install Kyma on a cluster](#installation-install-kyma-on-a-cluster)

Read the rest of the installation documents to learn how to:
- [Disable the selected components' installation or install them separately](#configuration-custom-component-installation)
- [Upgrade Kyma to a new version](#installation-upgrade-kyma)
- [Update Kyma](#installation-update-kyma)

>**NOTE:** Make sure that the version of the documentation selected in the left pane of `kyma-project.io` matches the version of Kyma you're using.
